#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main()
{
	vec4 color = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
	float grey = color.r * 0.3 + color.g * 0.59 + color.b * 0.11;
	gl_FragColor = vec4(grey, grey, grey, color.a);
}