#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main()
{
    vec4 color = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
    
    color.r = 0.05 * color.a;
    color.g = 0.35 * color.a;
    color.b = 0.133 * color.a;
    gl_FragColor = color;
}