#ifdef GL_ES
    precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main() {
vec4 texColor = texture2D(CC_Texture0, v_texCoord).rgba;

    float a = 1.0 - texture2D(CC_Texture1, v_texCoord).a;

    if (texColor.a > 0.0)
    {
    	texColor.rgb /= texColor.a;
    }    
    texColor.a = texColor.a * a;
    
    gl_FragColor = v_fragmentColor * texColor;
}