#ifdef GL_ES
varying mediump vec2 v_texture_coord;
#else
varying vec2 v_texture_coord;
#endif
varying float v_fogFactor;

uniform vec4 u_fogColor;

uniform vec4 u_color;

void main (void)
{
	vec4 ucolor = u_color;
    vec4 texColor = texture2D(CC_Texture0, v_texture_coord);
    vec4 mixColor = mix(u_fogColor, texColor, v_fogFactor ) * u_color;
    mixColor.a = texColor.a;
    gl_FragColor = mixColor;
}
